## wide-dhcpv6 20070507-3osso5

=== debian/changelog ===
wide-dhcpv6 (20070507-3osso5) unstable; urgency=low

  * IPv6 initialization moved later (see NB#80715)

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri, 15 Feb 2008 11:31:21 +0200

wide-dhcpv6 (20070507-3osso4) unstable; urgency=low

  * Name of the interfaces setting in gconf changed.
  * noyywrap option added to cftoken.l so that scratchbox flex version 2.5.31
    works correctly

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 13 Feb 2008 09:14:02 +0200

wide-dhcpv6 (20070507-3osso3) unstable; urgency=low

  * Init script checks client status correctly. Fixes: NB#79380

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 16 Jan 2008 17:07:53 +0200

wide-dhcpv6 (20070507-3osso2) unstable; urgency=low

  * Make sure that dhcp6c is killed in ifupdown script.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 18 Oct 2007 13:25:25 +0300

wide-dhcpv6 (20070507-3osso1) unstable; urgency=low

  * Modified for OSSO diablo release.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri, 21 Sep 2007 13:58:09 +0300

wide-dhcpv6 (20070507-3) unstable; urgency=low

  * debian/patches:
    -> Added 100_dont-strip-binaries.diff: prevent upstream build system from
       stripping binaries (Closes: #438262).
  * Added Portuguese debconf templates translation, thanks to Américo Monteiro
    (Closes: #437280).

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Thu, 16 Aug 2007 09:10:41 -0700

wide-dhcpv6 (20070507-2) unstable; urgency=low

  * debian/patches:
    -> Added 001_use-sig_atomic_t.diff: use sig_atomic_t for sigflags in
       signal handlers.
    -> Added 002_singular-point-check-fix.diff: fix a singular-point
       detection failure in replay check.
    -> Added 003_sprint_uint64-buffer-overrun-fix.diff: fix a potential buffer
       overrun in sprint_uint64().
  * Added German debconf templates translation, thanks to Helge Kreutzmann
    (Closes: #428267).
  * Removed extra spaces in the debconf templates. All translations updated
    and unfuzzied (Closes: 428268).

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Tue, 24 Jul 2007 13:24:13 -0700

wide-dhcpv6 (20070507-1) unstable; urgency=low

  * Mew upstream release.
  * Use quilt instead of dpatch.
  * debian/patches:
    -> Get rid of 002_Makefile.in.diff: dh_fixperms takes care of files
       ownership.
    -> Removed 001_bugfixes_20061227.diff: merged upstream.
  * debian/control:
    -> Added Vcs fields.

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Mon, 07 May 2007 10:37:01 -0700

wide-dhcpv6 (20061016-2) unstable; urgency=low

  * debian/control: added lsb-base as a dependency.
  * debian/patches:
    -> Added 01_bugfixes_20061227.dpatch:
      + Bug fixes from CVS 20061227.
      + dhcp6relay accepts Unique Local IPv6 unicast Addresses.
      + Fix an IA allocation failure from pool in dhcp6s.
      + Fix "-P" option in dhcp6s.
    -> Updated 02_Makefile.in.dpatch.
  * debian/scripts/dhcp6c-ifupdown: check whether dhcp6c is running and exit
    silently if not. Avoid errors when network is brought up before the client
    is started (Closes: #404887).
  * debian/dhcp6c.conf: corrected typo in comment (Closes: #404584).

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Fri,  5 Jan 2007 16:01:17 -0800

wide-dhcpv6 (20061016-1) unstable; urgency=low

  * New upstream release.
  * Cleaned up debian/rules.
  * debian/patches:
    -> Removed 02_CVS-20060920.dpatch: merged upstream.
  * debian/scripts:
    -> Fixed bashisms in dhcp6c-ifupdown (Closes: #396909).

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Fri,  3 Nov 2006 13:20:55 -0800

wide-dhcpv6 (20060902-2) unstable; urgency=medium

  * The "Why should I test my init files when users can do that better than
    me" release..
  * Fix typo in wide-dhcpv6-*.init.d: it's /lib/lsb/init-functions, not
    init-functtions.. (Closes: #391718).
  * In wide-dhcpv6-client.init.d: replace log_end_message by log_end_msg, I
    must have been smoking crack when I updated those files.
  * Fix typo in dhcp6c.8: dhcp6c_duid is in /var/lib/dhcpv6, not in
    /var/lib/dhcp.

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Sun,  8 Oct 2006 11:26:40 -0700

wide-dhcpv6 (20060902-1) unstable; urgency=low

  * New upstream release.
  * debian/wide-dhcpv6-*.init.d:
    -> LSB compliant init scripts.
  * debian/patches:
    -> Added 02_CVS-20060920.dpatch:
      + Update to CVS 20060920.
      + Fix a memory violation in lease management.
      + Fix a bug that dhcp6s inserts SIP server addresses into DNS server
        address option.
      + Fix a bug that status-code option might include a unexpected garbage
        value.
      + Fix dhcp6s documentation: you need to provide a preferred-lifetime for
        each address-prefix (Closes: #387416).
    -> Removed 02_remove-if-USE_POOL-macros.dpatch
    -> Removed 03_pid_dump.dpatch
    -> Removed 07_cftoken.l-bison.dpatch
    -> Removed 08_support-include-statement.dpatch
       All merged upstream.

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Wed, 20 Sep 2006 14:36:12 -0700

wide-dhcpv6 (20060322-4) unstable; urgency=medium

  * debian/wide-dhcpv6-*.postinst: don't modify
    /etc/default/wide-dhcpv6-${daemon} if it already exists.
  * debian/patches:
    -> Removed 03_dhcp6c_pid_dump.dpatch, 04_dhcp6s_pid_dump.dpatch and
       05_dhcp6relay_pid_dump.dpatch.
    -> Added 03_pid_dump.dpatch: upstream patch.

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Wed, 23 Aug 2006 23:21:05 +0200

wide-dhcpv6 (20060322-3) unstable; urgency=low

  * debian/scripts/dhcp6c-script:
    -> Added resolvconf support if it is installed, thanks to Mattias Guns
       (Closes: #369674).
  * debian/patches:
    -> 01_Makefile.in.dpatch: removes a bashism which caused a FTBFS if
       /bin/sh does not point to bash (Closes: #376369).
    -> 08_support-include-statement.dpatch: upstream patch allowing the use of

