=== debian/control ===
Source: wide-dhcpv6
Section: net
Priority: optional
Maintainer: Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>
Build-Depends: debhelper, autotools-dev, bison, flex (>> 2.5.4)
Standards-Version: 3.7.2.1
XS-Vcs-Git: git://git.famille-corbier.net/packages/wide-dhcpv6.git/
XS-Vcs-Browser: http://git.famille-corbier.net/?p=packages/wide-dhcpv6.git;a=summary

Package: wide-dhcpv6-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, base64
Conflicts: wide-dhcpv6-server
Description: DHCPv6 client for automatic IPv6 hosts configuration
 This is the DHCPv6 client from WIDE project. For more information visit the
 project web site at http://wide-dhcpv6.sourceforge.net/
 .
 DHCPv6 allows prefix delagation and host configuration for the IPv6 network
 protocol.
 .
 Multiple network interfaces are supported by this DHCPv6 package.
 .
 Note: This package requires at least a 2.4 kernel with recent USAGI IPv6
 patches.
