## wide-dhcpv6 20070507-3osso6

=== debian/changelog ===
wide-dhcpv6 (20070507-3osso6) fremantle; urgency=low

  * Builded for Maemo 5

 -- Pali Rohár <pali.rohar@gmail.com>  Sun, 03 Jun 2012 23:48:11 +0200
