=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: wide-dhcpv6
 Section: net
 Priority: optional
-Maintainer: Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>
+Maintainer: Pali Rohár <pali.rohar@gmail.com>
+XSBC-Original-Maintainer: Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>
 Build-Depends: debhelper, autotools-dev, bison, flex (>> 2.5.4)
 Standards-Version: 3.7.2.1
 XS-Vcs-Git: git://git.famille-corbier.net/packages/wide-dhcpv6.git/
@@ -9,7 +10,7 @@
 
 Package: wide-dhcpv6-client
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, base64
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
 Conflicts: wide-dhcpv6-server
 Description: DHCPv6 client for automatic IPv6 hosts configuration
  This is the DHCPv6 client from WIDE project. For more information visit the
