## wide-dhcpv6 20080615

=== debian/changelog ===
wide-dhcpv6 (20080615-16) unstable; urgency=low

  * debian/extra:
      - Move example files to "extra" folder
      - Add sample script of ppp/ipv6-ip/down for wide-dhcpv6-client
        (Closes: #561951)
  * debian/patches:
      - Add build support for GNU/Hurd platform
      - Add a bit info to logger when get dhcpv6 option:
        OPTION_RECONF_ACCEPT (Closes: #562079)

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 26 Dec 2015 08:18:15 +0900

wide-dhcpv6 (20080615-15) unstable; urgency=medium

  * debian/copyright:
      Change to v1.0 machine-readable format (DEP-5).
  * debian/control:
      Make lintian happy on "xc-package-type-in-debian-control" check.
  * debian/po:
      Added Brazilian Portuguese debconf templates translation, thanks to
      Eder L. Marques (Closes: #795355).
  * debian/*.{config,postinst,postrm}:
      Make lintian happy on "maintainer-script-without-set-e" check.
  * debian/*.lintian-overrides:
      This project is mainly BSD-3-clause license, only uses Bison which is
      GPL license with exception. So override here to make lintian ignore
      "copyright-should-refer-to-common-license-file-for-gpl" check.
  * debian/patches:
      - Merge patch 0011 with 0005 to make it more clear.
      - Add patch 0013 from upstream git repo to update sample configs.
      - Add kFreeBSD build support.
  * debian/rules:
      Restart service after (re)-install, and don't fail install when service
      start fails (Closes: #773878).
  * debian/*.init.d:
    debian/*.postinst:
      Add verbose log option to config files, and keep settings during
      upgrading.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 09 Dec 2015 01:15:09 +0900

wide-dhcpv6 (20080615-14) unstable; urgency=low

  * New maintainer (Closes: #743176).
  * Fix a few gcc warnings.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 10 Sep 2015 00:20:40 +0900

wide-dhcpv6 (20080615-13) unstable; urgency=low

  * Try and generate a default IFID only if an IFID is not configured
    (Closes: #751168).
  * Make sure daemons are properly stopped in init scripts, thanks to
    Tim Small <tim@buttersideup.com> for the initial patch (Closes: #745560).
  * Close file descriptors when executing client script (Closes: #757848).
  * Fix renewal of IA NA, patch by Vegard Engen <vegard@engen.priv.no>.
  * Call client script after interfaces have been configured (Closes: #734644).
  * Bumped up Standards-Version to 3.9.6: no changes needed.

 -- Jérémie Corbier <jcorbier@debian.org>  Tue, 02 Dec 2014 11:47:56 +0100

wide-dhcpv6 (20080615-12) unstable; urgency=low

  * Acknowledge l10n NMU by Christian Perrier
  * Switched to Debhelper compatibility level 9.
  * Bumped up Standards-Version to 3.9.4: no changes needed.

 -- Jérémie Corbier <jcorbier@debian.org>  Wed, 15 May 2013 10:51:25 +0200

wide-dhcpv6 (20080615-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #645824
    - Dutch; (Jeroen Schot).  Closes: #632629
    - Polish (Michał Kułach).  Closes: #659242
    - Italian (Beatrice Torracca).  Closes: #660000

 -- Christian Perrier <bubulle@debian.org>  Sat, 18 Feb 2012 19:07:44 +0100

wide-dhcpv6 (20080615-11) unstable; urgency=low

  * Add wide-dhcpv6-client-udeb for d-i integration, thanks to
    Matthew Palmer <mpalmer@debian.org> for the patch (Closes: #611870).

 -- Jérémie Corbier <jcorbier@debian.org>  Thu, 03 Feb 2011 14:06:05 +0100

wide-dhcpv6 (20080615-10) unstable; urgency=low

  * Fix wide-dhcpv6-{server,relay}.config.
  * Bumped up Standards-Version to 3.9.1: no changes needed.

 -- Jérémie Corbier <jcorbier@debian.org>  Mon, 15 Nov 2010 21:50:12 +0100

wide-dhcpv6 (20080615-9) unstable; urgency=low

  * New maintainer email address.
  * Init scripts gracefully exit if /etc/default/wide-dhcpv6-* files are not
    available.
  * debian/patches:
    -> Added 0007-Adding-ifid-option-to-the-dhcp6c.conf-prefix-interfa.patch:
       allows to override default EUI-64 address selection. Thanks to Bjørn Mork
       <bjorn@mork.no> for the patch (Closes: #591828).
  * Switch to a patch queue workflow.

 -- Jérémie Corbier <jcorbier@debian.org>  Thu, 11 Nov 2010 16:31:21 +0100

wide-dhcpv6 (20080615-8) unstable; urgency=low

  * debian/patches:
    -> Added debian/patches/103_update-ifid-on-restart.diff: interface id may
       change between a stop and a start command sent to the client, reset it on
       start. Thanks to Bjørn Mork <bjorn@mork.no> for the patch
       (Closes: #561949).
    -> Updated debian/patches/102_libc6-2.9-fixes.diff: now checks whether
       in6_pktinfo is defined by the libc or not.
  * debian/scripts/dhcp6c-script:
    -> Only add nameservers if they are not already declared in /etc/resolv.conf
      (Closes: #561945).
  * Added dependency on $remote_fs in init scripts LSB headers.
  * Switched to 3.0 (quilt) source package format ; no need for a README.source
    file anymore.
  * Bumped up Standards-Version to 3.8.4: no changes needed.

 -- Jérémie Corbier <jeremie+debian@famille-corbier.net>  Thu, 25 Mar 2010 10:07:03 +0100

wide-dhcpv6 (20080615-7) unstable; urgency=low

  * New maintainer email address.
  * debian/patches:
    -> Added debian/patches/102_libc6-2.9-fixes.diff: renamed dprintf to
       debug_printf since the libc already exports a dprintf symbol
       (Closes: #552845).
    -> Refreshed all patches.
  * Switched to Debhelper compatibility level 7:
    -> Got rid of cdbs.
    -> Updated .install files accordingly.
    -> Added a versionned dependency on quilt so as to be sure it provides a dh
       plugin.
  * Bumped up Standards-Version to 3.8.3:
    -> Made sure init scripts don't fail if the daemon is already started or
       already stopped.
  * Init scripts:
    -> Fix LSB header Provides field.
    -> Have lintian shut up about supposedly invalid /etc/default files
       sourcing.

