=== debian/control ===
Source: wide-dhcpv6
Section: net
Priority: optional
Maintainer: Roger Shimizu <rogershimizu@gmail.com>
Build-Depends: debhelper (>= 9.20120909), autotools-dev, bison, flex
Standards-Version: 3.9.6
Vcs-Git: git://github.com/rogers0/packaging_wide-dhcpv6.git
Vcs-Browser: https://github.com/rogers0/packaging_wide-dhcpv6
Homepage: http://wide-dhcpv6.sourceforge.net/

Package: wide-dhcpv6-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Description: DHCPv6 server for automatic IPv6 hosts configuration
 This is the DHCPv6 server from WIDE project. For more information visit the
 project web site at http://wide-dhcpv6.sourceforge.net/
 .
 DHCPv6 allows prefix delagation and host configuration for the IPv6 network
 protocol.
 .
 Multiple network interfaces are supported by this DHCPv6 package.

Package: wide-dhcpv6-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, sharutils
Description: DHCPv6 client for automatic IPv6 hosts configuration
 This is the DHCPv6 client from WIDE project. For more information visit the
 project web site at http://wide-dhcpv6.sourceforge.net/
 .
 DHCPv6 allows prefix delagation and host configuration for the IPv6 network
 protocol.
 .
 Multiple network interfaces are supported by this DHCPv6 package.

Package: wide-dhcpv6-client-udeb
Architecture: any
Section: debian-installer
Package-Type: udeb
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DHCPv6 client for automatic IPv6 hosts configuration
 This is the DHCPv6 client from WIDE project. For more information visit the
 project web site at http://wide-dhcpv6.sourceforge.net/
 .
 DHCPv6 allows prefix delagation and host configuration for the IPv6 network
 protocol.
 .
 Multiple network interfaces are supported by this DHCPv6 package.
 .
 This is a udeb, designed to be used by Debian installer.

Package: wide-dhcpv6-relay
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Description: DHCPv6 relay for automatic IPv6 hosts configuration
 This is the DHCPv6 relay from WIDE project. For more information visit the
 project web site at http://wide-dhcpv6.sourceforge.net/
 .
 DHCPv6 allows prefix delagation and host configuration for the IPv6 network
 protocol.
 .
 Multiple network interfaces are supported by this DHCPv6 package.
