=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
		--with-localdbdir=/var/lib/dhcpv6 --sysconfdir=/etc/wide-dhcpv6

override_dh_auto_install:
	$(MAKE) prefix=$(CURDIR)/debian/tmp/usr install

override_dh_installinit:
	dh_installinit --error-handler=true --restart-after-upgrade

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/wide-dhcpv6-client/etc/wide-dhcpv6/dhcp6c-*
