=== debian/watch ===
version=3

http://sf.net/wide-dhcpv6/wide-dhcpv6-(\d+)\.tar\.gz
